# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

# X.org drivers use symbols from the X server
%global _disable_ld_no_undefined 1

# (anssi) The unversioned symlink of XvMC library must be present in
# %{_libdir} during normal use, as libXvMC uses that name for dlopening.
# Our devel requires finder catches that, hence this exception:
%define __noautoreq 'devel\\(.*'
%define __noautoprov 'devel\\(.*'

%define major 1
%define libxvmc %mklibname IntelXvMC %{major}
%define libxvmc810 %mklibname I810XvMC %{major}

Summary:	X.org driver for Intel graphics controllers
Name:		x11-driver-video-intel
Version:	2.21.15
Release:	4
Epoch:		1
License:	MIT
Group:		System/X11
Url:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-intel-%{version}.tar.bz2
Patch0:		compat-api-map-changes-of-damageunregister-api.patch
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glamor)
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(udev) >= 186
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcb-util)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xorg-macros)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xproto)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(xvmc)
Requires:	x11-server-common %(xserver-sdk-abi-requires videodrv)
Requires:	udev
Requires:	%{libxvmc} = %{EVRD}
Requires:	%{libxvmc810} = %{EVRD}

%description
x11-driver-video-intel is the X.org driver for Intel video chipsets.

%files
%{_libdir}/xorg/modules/drivers/intel_drv.so
%{_libdir}/libIntelXvMC.so
%{_libdir}/libI810XvMC.so
%{_mandir}/man4/intel.4.*

#----------------------------------------------------------------------------

%package -n %{libxvmc}
Summary:	X Library
Group:		System/Libraries
Conflicts:	%{name} < 2.99.905-2

%description -n %{libxvmc}
This package contains a shared library for %{name}.

%files  -n %{libxvmc}
%{_libdir}/libIntelXvMC.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libxvmc810}
Summary:	X Library
Group:		System/Libraries
Conflicts:	%{name} < 2.99.905-2

%description -n %{libxvmc810}
This package contains a shared library for %{name}.

%files  -n %{libxvmc810}
%{_libdir}/libI810XvMC.so.%{major}*

#----------------------------------------------------------------------------

%prep
%setup -qn xf86-video-intel-%{version}
%apply_patches

%build
autoreconf -vfi
%configure2_5x \
	--enable-dri \
	--enable-sna \
	--enable-glamor \
	--with-default-accel=sna

%make

%install
%makeinstall_std

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1:2.21.15-4
+ Revision: ad5373d
- MassBuild#440: Increase release tag


